package net.waltzstudio.montecarlo.service.batch;

import org.seasar.framework.log.Logger;
import org.seasar.struts.util.MessageResourcesUtil;
import net.waltzstudio.montecarlo.object.Batch;
import net.waltzstudio.montecarlo.object.Global;

/**
 * メール送信バッチService
 */
public class SendmailBatchService extends Batch {
	public SendmailBatchService() {
		logger = Logger.getLogger(SendmailBatchService.class);
	}

	@Override
	public String getBatchId() {
		return Global.BatchInfo.SENDMAIL_BATCH;
	}

	@Override
	public String getBatchName() {
		return MessageResourcesUtil.getMessage("montecarlo.batch.sendmail.batch");
	}

	@Override
	public void main() throws Exception {
		logger.info("メール送信");
	}

}
